php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #76200 Compile option '--with-fbsql' is unrecognized but docs says PHP7 is supported
Submitted: 2018-04-09 09:17 UTC Modified: 2019-03-06 17:54 UTC
Votes:1
Avg. Score:3.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:0 (0.0%)
From: bbruers at dobit dot com Assigned: fmk (profile)
Status: Not a bug Package: FrontBase related
PHP Version: 7.2.8 OS:
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
36 - 29 = ?
Subscribe to this entry?

 
 [2018-04-09 09:17 UTC] bbruers at dobit dot com
Description:
------------
---
From manual page: http://www.php.net/intro.fbsql
---
When I compile PHP7.2.4 from source with option '--with-fbsql' I get that the option is unrecognized.  However the docs on the fbsql section on the php website indicates that PHP7 does support fbsql.


Test script:
---------------
'./configure' '--with-fbsql'


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2018-04-09 11:23 UTC] cmb@php.net
-Assigned To: +Assigned To: fmk
 [2018-04-09 11:23 UTC] cmb@php.net
The introduction section mentions[1]:

| This extension has been moved to the ┬╗ PECL repository and is no
| longer bundled with PHP as of PHP 5.3.0.

However, it seems that the package is not available on PECL[2],
even though it is in the PECL repo[3].

Frank, could you please clarify the status of the package?

[1] <http://www.php.net/manual/en/intro.fbsql.php>
[2] <https://pecl.php.net/>
[3] <http://svn.php.net/viewvc/pecl/fbsql/>
 [2018-08-29 18:25 UTC] fmk@php.net
-Status: Assigned +Status: Not a bug
 [2018-08-29 18:25 UTC] fmk@php.net
Thank you for taking the time to write to us, but this is not
a bug. Please double-check the documentation available at
http://www.php.net/manual/ and the instructions on how to report
a bug at http://bugs.php.net/how-to-report.php

Download the source from the SVN repository├ć

svn co https://svn.php.net/repository/pecl/fbsql/trunk

You can either build the extension as a shared object

phpize
./configure --with-fbsql
make

or by bopying or symlinking the folder to the PHP source tree under the ext folder.
 [2019-03-06 17:54 UTC] bbruers at dobit dot com
-PHP Version: 7.2.4 +PHP Version: 7.2.8
 [2019-03-06 17:54 UTC] bbruers at dobit dot com
Thank you for your feedback.  However, if I try to create a fbsql.so file with phpize I still have some issues.  I use php version 7.2.8 and use the pecl trunk folder.  Configure goes without errors or warnings, but if I run make I receive the following warning:

/Users/babr/trunk/php_fbsql.c:778:2: warning: implicit declaration of function 'GC_ADDREF' is invalid in C99
      [-Wimplicit-function-declaration]
        GC_ADDREF(res);
        ^
1 warning generated.

If I add the produced fbsql.so file to the extensions library and try to run a Frontbase query, I get an Apache error:

dyld: lazy symbol binding failed: Symbol not found: _GC_ADDREF
  Referenced from: /Applications/MAMP/bin/php/php7.2.8/lib/php/extensions/no-debug-non-zts-20170718/fbsql.so
  Expected in: flat namespace

Thanks for your support.

Best regards,
Bavo
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sat Oct 19 12:01:27 2019 UTC